#!/bin/sh
# PCP QA Test No. 1180
# test pmlogger_daily_report(1)
#
# NOTE: if any of pmrep :sar-FOO configs get changed, then it's likely
# the qualified output for this test will need to be remade.
#
# Copyright (c) 2018 Red Hat.  All Rights Reserved.
#
# check-group-include: pmrep

seq=`basename $0`
echo "QA output created by $seq"

# get standard environment, filters and checks
. ./common.python

$python -c "from pcp import pmapi" >/dev/null 2>&1
[ $? -eq 0 ] || _notrun "python pcp pmapi module not installed"

[ -x $PCP_BINADM_DIR/pmlogger_daily_report ] || \
	_notrun pmlogger_daily_report not installed

[ "$PCP_PLATFORM" = freebsd ] && _notrun "Insufficient metrics on FreeBSD to exercise sar-like reporting"

_check_big_file bigarchives/crontab-sar-report.tar.xz

_cleanup()
{
    cd $here
    $sudo rm -rf $tmp $tmp.*
}

status=1	# failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15

_filter()
{
    sed \
	-e '/^Host: /s/: .*/: .../' \
	-e '/^Report created: /s/: .*/: .../' \
	-e "s@$tmp@TMP@g" \
    # end
}

# real QA test starts here
mkdir -p $tmp
$sudo chown $PCP_USER:$PCP_GROUP $tmp
if ! xzcat bigarchives/crontab-sar-report.tar.xz | $sudo -u $PCP_USER tar xf - -C $tmp
then
    echo "Arrgh: xzcat | tar failed"
    _exit 1
fi
ls -lR $tmp/crontab-sar-report* >>$seq_full
$sudo -u $PCP_USER -g $PCP_GROUP $PCP_BINADM_DIR/pmlogger_daily_report -A -a $tmp/crontab-sar-report -l $tmp/LOG -f $tmp/OUT -t 30m || exit
if [ -f $tmp/LOG ]
then
    echo "=== LOG ===" >>$seq_full
    $sudo cat $tmp/LOG >>$seq_full
fi
if [ -f $tmp/OUT ]
then
    echo "=== OUT ===" >>$seq_full
    $sudo cat $tmp/OUT >>$seq_full
    $sudo cat $tmp/OUT | _filter
else
    echo "Botch: $tmp/OUT not created!"
fi

# optional stuff if your test has verbose output to help resolve problems
echo
echo "If failure, check $seq.full"

# success, all done
status=0
exit
